This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 189061 - Honour fontconfig autohint/hinting attributes
Honour fontconfig autohint/hinting attributes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-15 05:33 EDT by Jun Kobayashi
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.0.2-5.9.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 02:59:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
problem demonstration - comparing with Firefox (167.03 KB, image/png)
2006-04-15 05:33 EDT, Jun Kobayashi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 64508 None None None Never

  None (edit)
Description Jun Kobayashi 2006-04-15 05:33:12 EDT
Description of problem:
Japanese fonts are displayed ugly in normal size in OpenOffice.org.
This issue dosen't apper in other applications.

Version-Release number of selected component (if applicable):
2.0.2-5.7.2

How reproducible:
always

Steps to Reproduce:
1. run one of OpenOffice.org application (e.g. Writer).
2. input and/or paste Japanese characters.
  
Actual results:
Ugly Japanese fonts appear.

Expected results:
Japanese fonts are displayed in same quality as other applications.

Additional info:
Comment 1 Jun Kobayashi 2006-04-15 05:33:12 EDT
Created attachment 127775 [details]
problem demonstration - comparing with Firefox
Comment 2 Caolan McNamara 2006-04-17 13:08:02 EDT
Might be embedded bitmaps being handled different for one app vs the other. Or
perhaps glyph substitution. Can you give me the url of the wiki page seen above
so I can reproduce the problem for myself.

Or (maybe even better) a line of text which shows this problem when inputted
into writer, but not when inputted into gedit. When both apps are set to use the
same font.
Comment 3 Jun Kobayashi 2006-04-17 22:46:30 EDT
Thank you for your comment.

The url of the wiki page is: 
 
http://ja.wikipedia.org/wiki/%E3%83%A1%E3%82%A4%E3%83%B3%E3%83%9A%E3%83%BC%E3%82%B8

A sample line of test:
Fedoraは「中折れ帽」を意味し、略して「フィドーラ」や「フェドーラ」と呼称される。
Comment 4 Caolan McNamara 2006-04-18 07:44:24 EDT
The font face seems overly "heavy" in OOo e.g. 略 seems very poor in OOo in
Sazanami Gothic 12 point. 
Comment 6 Jun Kobayashi 2006-04-20 10:18:28 EDT
I think sazanami-after.png looks good. Thank you.

Note You need to log in before you can comment on or make changes to this bug.